[{$smarty.block.parent}]

[{if $edit}]
    <br>
    <form name="d3CreateXml" id="d3SaveXml" action="[{$oViewConf->getSelfLink()}]" method="post">
        [{$oViewConf->getHiddenSid()}]
        <input type="hidden" name="cl" value="order_overview">
        <input type="hidden" name="fnc" value="saveXRechnung">
        <input type="hidden" name="oxid" value="[{$oxid}]">
        <fieldset style="padding: 5px">
            <legend>[{oxmultilang ident="D3_XRECHNUNG_LABEL_SAVE"}]</legend>
            <table style="width: 100%">
                <tr>
                    <td>
                        <img src="[{$oViewConf->getModuleUrl('d3xrechnung4oxid', 'out/img/xml.svg')}]" style="height:4em;width:4em" alt="[{oxmultilang ident="D3_PDFDOCUMENTS"}]">
                    </td>
                    <td>
                        <table style="max-width: 350px;white-space: wrap;">
                            <tr>
                                <td colspan="2">
                                    <div style="max-width:450px;">[{oxmultilang ident="D3_XRECHNUNG_EXTRA_FIELDS_MESSAGE"}]
                                        [{oxinputhelp ident="HELP_D3_XRECHNUNG_EXTRA_FIELDS_MESSAGE"}]
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td style="" class="edittext">
                                    <label for="leitwegid">Leitweg-ID:</label>
                                </td>
                                <td>
                                    <input type="text" class="editinput" size="15" maxlength="[{$edit->oxorder__d3leitwegid->fldmax_length}]" id ="leitwegid" name="editval[oxorder__d3leitwegid]"
                                           value="[{$edit->oxorder__d3leitwegid->value}]" [{$readonly}]> (BT-10)
                                </td>
                            </tr>
                            [{foreach from=$edit->getBtFieldsXRechnung() item=value key=fields}]
                                <tr>
                                    <td style="" class="edittext">
                                        <input type="text" class="editinput" size="10" maxlength="10" name="editvalBT[[{$fields}]][FIELD]"
                                               value="[{$fields}]" [{$readonly}]>
                                    </td>
                                    <td>
                                        <input type="text" class="editinput" size="40" maxlength="100" name="editvalBT[[{$fields}]][VALUE]"
                                               value="[{$value}]" [{$readonly}]>
                                    </td>
                                </tr>
                            [{/foreach}]
                            <!--
                            <tr>
                                <td style="" class="edittext">
                                    <input type="text" class="editinput" size="10" maxlength="10" name="editvalBT[NEW][FIELD]"
                                           placeholder="BT100" [{$readonly}]>
                                </td>
                                <td>
                                    <input type="text" class="editinput" size="40" maxlength="100" name="editvalBT[NEW][VALUE]"
                                           placeholder="Vorgang ABC" [{$readonly}]>
                                </td>
                            </tr>
                            -->
                        </table>
                    </td>
                <tr>
                    <td colspan="2" style="text-align: right" class="edittext"><br/>
                        <input type="submit" class="edittext" name="save" value="[{oxmultilang ident="D3_XRECHNUNG_XML_SAVE"}]">
                    </td>
                </tr>
            </table>
        </fieldset>
    </form>
    <form name="d3CreateXml" id="d3CreateXml" action="[{$oViewConf->getSelfLink()}]" method="post" target="expXML">
        [{$oViewConf->getHiddenSid()}]
        <input type="hidden" name="cl" value="order_overview">
        <input type="hidden" name="fnc" value="createXRechnung">
        <input type="hidden" name="oxid" value="[{$oxid}]">
        <input type="hidden" name="xmllanguage" value="0">
        <fieldset style="padding: 5px">
            <legend>[{oxmultilang ident="D3_XRECHNUNG_LABEL_GENERATE"}]</legend>
            <table style="width: 100%">
                <tr>
                    <td style="text-align: left" class="edittext">
                        <label for="exporttype">Format</label>
                        <select id="exporttype" name="filetype" class="editinput" style="width:160px;">
                        [{foreach from=$edit->getExportFileTypes() key=key item=filetype}]
                            <option value="[{$key}]" SELECTED>[{$filetype}]
                        [{/foreach}]
                        </select>
                    </td>

                    <td  style="text-align: right" class="edittext"><br/>
                        <input type="submit" class="edittext" name="save" value="[{oxmultilang ident="D3_XRECHNUNG_XML_GENERATE"}]">
                        <iframe name="expXML" style="width: 0; height: 0; border: none; display:none;"></iframe>
                    </td>
                </tr>
            </table>
        </fieldset>
    </form>

[{/if}]